Juniper JSNAPy CVE-2018-0023 Local Insecure File Permissions

Authors:vendor                 Risk:Medium
 
CVE:CVE-2018-0023             0day:Local Insecure File Permissions 

0day-id:0DAY-0023              Date:2018-04-15

Description

JSNAPy is an open source python version of Junos Snapshot Administrator developed by Juniper available through github.

The default configuration and sample files of JSNAPy automation tool are created world writable. This insecure file and directory permission allows unprivileged local users to alter the files under this directory including inserting operations not intended by the package maintainer, system administrator, or other users.

This issue only affects users who downloaded and installed JSNAPy from github.

This issue was found during internal product security testing or research.

This issue has been assigned CVE-2018-0023.

PRODUCT AFFECTED:

This issue affects Junos Snapshot Administrator (JSNAPy).
SOLUTION:

This issue is resolved in 1.3.0 and subsequent releases.

Fixed JSNAPy releases can be downloaded from https://github.com/Juniper/jsnapy/releases

Upgrading to the fixed release is not sufficient to resolve the issue, modifying file permission after upgrade as described in the workaround section is required.
This issue is fixed for fresh/new installation.

WORKAROUND:

The workaround is to change the related files and directory to group/world to readable, but not writable:

# sudo chmod -R og-w /etc/jsnapy
# ls -l /etc/jsnapy/
total 20
-rwxr-xr-x 1 root root 387 Aug 9 2016 jsnapy.cfg 
-rwxr-xr-x 1 root root 1695 Aug 9 2016 logging.yml 
drwxr-xr-x 2 root root 4096 Aug 26 2016 samples 
drwxr-xr-x 2 root root 4096 Aug 26 2016 snapshots 
drwxr-xr-x 2 root root 4096 Aug 26 2016 testfiles

IMPLEMENTATION:

Latest JSNAPy version can be downloaded at https://github.com/Juniper/jsnapy/releases

MODIFICATION HISTORY:

  • 2018-04-11: Initial Publication.

RELATED LINKS:

CVSS SCORE:

5.5 (CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N)

RISK LEVEL:

Medium

发表评论